Luxor PlatformAPI DocumentationCommanderAgents

Delete agent

Deletes a Commander agent. Miners associated to the deleted agent transition to offline.

DELETE
/v2/commander/agents/{agent_id}

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

agent_id*string

Agent UUID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/commander/agents/1d786ea1-9400-4566-94be-d5f400e0490b"
Empty
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}